Task Get
curl --request GET \
--url https://app.apigene.ai/api/task/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.apigene.ai/api/task/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.apigene.ai/api/task/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"prompt": "<string>",
"created_by": "<string>",
"id": "<string>",
"agent_id": "<string>",
"chat_model": {
"provider": "<string>",
"model": "<string>"
},
"mentions": [
{}
],
"visibility": "private",
"schedule": {
"frequency": "manual",
"hour": "09:00",
"day": "Monday",
"timezone": "UTC"
},
"state": "enabled",
"thread_policy": "new_each_run",
"thread_id": "<string>",
"next_run": "1970-01-01T00:00:00",
"last_run_at": "2023-11-07T05:31:56Z",
"last_run_status": "<string>",
"last_run_thread_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Task
Task Get
GET
/
api
/
task
/
{task_id}
Task Get
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Path Parameters
Response
Successful Response
Command display name.
Prompt / command text.
User who created the command (email)
Unique identifier for the command
Optional Copilot agent id.
Optional model override.
Show child attributes
Show child attributes
Available options:
private, public Show child attributes
Show child attributes
Available options:
disabled, enabled Available options:
new_each_run, append Next scheduled execution time (UTC)
